Milestone # 6689 (Closed): Incorporate initial Run Il Functionality for v0.4
dropbox location and submit location end up on different hosts in DNS round robin setup
Description

When dropbox://some_file is part of a jobsub_submit incantation, there are two phases: first upload some_file then call jobsub_tools
to generate and submit JDF with some_file included in the transfer_input_files list. If the submit URL is a round robin DNS, some_file
can end up on a different machine than where the jobsub_tools JDF generation and submission happens. This results in 'file not
found' errors.

I can think of two fixes off the top of my head, 1) configure a web server on each backend server that can serve up dropbox locations
for that machine, and transfer_input_files on the JDF generating server contains a URL to the dropbox file, or 2) allow
jobsub_server to submit explicitly to the same server that the dropbox lives on, bypassing the DNS round robin server. Number 2) is
currently forbidden by our SSL security settings.

There may be better fixes that haven't occurred to me yet

History

#1 - 07/28/2014 10:32 AM - Dennis Box

- Status changed from New to Resolved

#2 - 07/28/2014 10:34 AM - Parag Mhashilkar
- Parent task set to #6689

#3 - 07/28/2014 10:39 AM - Parag Mhashilkar
- % Done changed from 0 to 100

#4 - 07/28/2014 10:45 AM - Parag Mhashilkar

- Status changed from Resolved to Closed

#5 - 07/28/2014 10:46 AM - Parag Mhashilkar
- Due date set to 07/30/2014
